Subject: Re: linux-next: manual merge of the regulator tree with the mfd tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 18 Sep 2024 12:05:44 +1000

Hi all,

On Tue, 10 Sep 2024 12:51:01 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the regulator tree got conflicts in:
> 
>   drivers/mfd/axp20x.c
>   include/linux/mfd/axp20x.h
> 
> between commit:
> 
>   2e1a57d5b0ad ("mfd: axp20x: Add ADC, BAT, and USB cells for AXP717")
> 
> from the mfd tree and commit:
> 
>   bb2ac59f8205 ("mfd: axp20x: AXP717: Add support for boost regulator")
> 
> from the regulator tree.
> 
> The latter change to  include/linux/mfd/axp20x.h is a subset of the
> former change.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> diff --cc drivers/mfd/axp20x.c
> index 4051551757f2,16950c3206d7..000000000000
> --- a/drivers/mfd/axp20x.c
> +++ b/drivers/mfd/axp20x.c
> @@@ -209,15 -209,11 +209,17 @@@ static const struct regmap_access_tabl
>   };
>   
>   static const struct regmap_range axp717_writeable_ranges[] = {
>  +	regmap_reg_range(AXP717_PMU_FAULT, AXP717_MODULE_EN_CONTROL_1),
>  +	regmap_reg_range(AXP717_MIN_SYS_V_CONTROL, AXP717_BOOST_CONTROL),
> + 	regmap_reg_range(AXP717_MODULE_EN_CONTROL_2, AXP717_MODULE_EN_CONTROL_2),
> + 	regmap_reg_range(AXP717_BOOST_CONTROL, AXP717_BOOST_CONTROL),
>  +	regmap_reg_range(AXP717_VSYS_V_POWEROFF, AXP717_VSYS_V_POWEROFF),
>   	regmap_reg_range(AXP717_IRQ0_EN, AXP717_IRQ4_EN),
>   	regmap_reg_range(AXP717_IRQ0_STATE, AXP717_IRQ4_STATE),
>  +	regmap_reg_range(AXP717_ICC_CHG_SET, AXP717_CV_CHG_SET),
>   	regmap_reg_range(AXP717_DCDC_OUTPUT_CONTROL, AXP717_CPUSLDO_CONTROL),
>  +	regmap_reg_range(AXP717_ADC_CH_EN_CONTROL, AXP717_ADC_CH_EN_CONTROL),
>  +	regmap_reg_range(AXP717_ADC_DATA_SEL, AXP717_ADC_DATA_SEL),
>   };
>   
>   static const struct regmap_range axp717_volatile_ranges[] = {

This is now a conflict between the mfd tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell